#ifndef ELEKTROMAGNETISCHER_SENSOR_H
#define ELEKTROMAGNETISCHER_SENSOR_H
#include "sensoren.h"

// Definition der Klasse MagnetischerFlussdichte
class MagnetischerFlussdichte : sensoren {
private:
    double wert;

public:
    MagnetischerFlussdichte(double w);
    double getWert() const;
};

// Definition der Klasse für den elektromagnetischen Sensor
class ElektromagnetischerSensor {
public:
    int erkenneMünze(const MagnetischerFlussdichte& typ);
    int erkennElektro_Magneten(const MagnetischerFlussdichte& typ);
};

#endif // ELEKTROMAGNETISCHER_SENSOR_H

