#ifndef PREIS_H
#define PREIS_H
#include <string>

#include "zubereitung.h"
#include "paymentprocessor.h"

enum class MuenzenTyp {
    Cent,
    Euro
};

enum class GeldscheinTyp {
    Fuenf,Zehn
};

class Preis {
private:
    int betrag;
    double muenzen();
    double scheine();
    double cashBalance;
   // int rueckgeld;


public:
    explicit Preis(int b, int m, int s);

    int bezahlen(int gezahlterBetrag);
    int rueckgeldAusgeben();
    int getProdukt() const;
    MuenzenTyp selectedMuenze;
    GeldscheinTyp selectedGeldschein;
    double getCashBalance() const;
    void clearCashBalance();
    static double totalamount();
    static double rueckgeld(double totalAmount, double paidAmount);

};



#endif // PREIS_H
